GFREP(1)

NAME
gfrep - replicate Gfarm files

SYNOPSIS

gfrep [-mnqvx] [-S source-domainname] [-D destination-domainname] [-h source-hostfile] [-H destination-hostfile] [-N num-of-replicas] [-j num-of-threads] path...

DESCRIPTION

gfrep creates specified number of replicas of Gfarm files specified by the path to specified set of destination hosts. When set of source hosts are specified, only files stored on the set of source hosts are replicated. A set of hosts can be specified by a domain name and/or a host file. When both a domain name and a host file are specified, a set of hosts is determined by both conditions.

If the path parameter is a directory, files under the directory will be copied recursively.

OPTIONS

-S source-domainname
    Specifies the domain name of source filesystem nodes from which replicas will be copied.

-D destination-domainname
    Specifies the domain name of destination filesystem nodes to which replicas will be copied.

    If neither this nor the -H option is specified, replicas may be copied to any available host.

-h source-hostfile
    Specifies a file which describes hostnames of source filesystem nodes from which the replica will be made. The source-hostfile consists of a filesystem node name on each line.

    if ``-'' is specified, standard input is used to read the host list.

-H destination-hostfile
    Specifies a file which describes hostnames of destination filesystem nodes on which the replica will be made. The destination-hostfile consists of a filesystem node name on each line.

    if ``-'' is specified, standard input is used to read the host list.

-N num-of-replicas
    Specifies the required number of file replicas, counting already existing ones. If there are a sufficient number of replicas in the destination hosts, neither any copying nor any removal will be done.

    If this option is not specified, -N 1 is assumed.

-j num-of-threads
    Specifies the number of threads to create file replicas simultaneously. This option is only available when compiled by an OpenMP C compiler. By default, it will be the smallest among the number of total files, the number of source hosts, and the number of destination hosts.

-m
    Lets gfrep command do a migrate/move, instead of doing replication.

-x
    Removes file replicas when a set of destination nodes has more file replicas than specified.

-n
    Displays files to be replicated, but does nothing.

-q
    Suppresses non-error messages.

-v
    Displays verbose output.

-?
    Displays a list of command options.

BUGS

A source host is not always selected within a set of source hosts.